## zowe › profiles › create › jclx-profile

Configuration profile for the IBM Z JCL Expert Zowe CLI plugin.

Warning: This command has been deprecated.
Recommended replacement: The 'config init' command

#### Usage

zowe profiles create jclx-profile <profileName> [options]

#### Positional Arguments

- `profileName` (string)

  - Specifies the name of the new jclx profile. You can load this profile by using the name on commands that support the "--jclx-profile" option.

#### Options

- `--remote-home-dir` (string)

  - The home directory of IBM Z JCL Expert in USS on your remote system. If this option is not set, the plug-in will rely on the PATH variable in the remote user environment.

- `--remote-temp-dir` (string)

  - The directory where all temporary files are created and deleted by the IBM Z JCL Expert Zowe CLI plugin. Temporary files are cleaned up after each operation. Defaults to "/tmp" if not specified.

- `--language` (string)

  - The language to be used by IBM Z JCL Expert when invoked. This option will be ignored if remoteHomeDir is not specified.

    Default value: ENG
    Allowed values: ENG, JPN

- `--response-encoding` (string)

  - The encoding to translate the remote response from. An empty string value or 'binary' will result in no encoding translation. Defaults to 'utf-8' if not provided.

    Default value: utf-8

- `--overwrite` | `--ow` (boolean)

  - Overwrite the jclx profile when a profile of the same name exists.

- `--disable-defaults` | `--dd` (boolean)

  - Disable populating profile values of undefined properties with default values.